=== modified file '__init__.py'
--- __init__.py	2006-03-01 21:16:58 +0000
+++ __init__.py	2006-03-07 17:23:04 +0000
@@ -222,13 +222,13 @@
 
 
 def test_suite():
-    from doctest import DocTestSuite
+    from doctest import DocTestSuite, ELLIPSIS
     from unittest import TestSuite, TestLoader
     import clean_tree
     import blackbox
     import shelf_tests
     result = TestSuite()
-    result.addTest(DocTestSuite(bzrtools))
+    result.addTest(DocTestSuite(bzrtools, optionflags=ELLIPSIS))
     result.addTest(clean_tree.test_suite())
     result.addTest(TestLoader().loadTestsFromModule(shelf_tests))
     result.addTest(blackbox.test_suite())

=== modified file 'bzrtools.py'
--- bzrtools.py	2006-03-07 15:21:50 +0000
+++ bzrtools.py	2006-03-07 17:23:04 +0000
@@ -121,10 +121,10 @@
     >>> rsync("a", "b", silent=True)
     Traceback (most recent call last):
     RsyncNoFile: No such file...
-    >>> rsync(tempdir + "/a", tempdir + "/b", excludes=("*.py",), silent=True) #doctest: +ELLIPSIS
+    >>> rsync(new_dir + "/a", new_dir + "/b", excludes=("*.py",), silent=True)
     Traceback (most recent call last):
     RsyncNoFile: No such file...
-    >>> rsync(tempdir + "/a", tempdir + "/b", excludes=("*.py",), silent=True, rsync_name="rsyncc")
+    >>> rsync(new_dir + "/a", new_dir + "/b", excludes=("*.py",), silent=True, rsync_name="rsyncc")
     Traceback (most recent call last):
     NoRsync: rsyncc not found.
     >>> os.chdir(old_dir)

